Bug 965935 - [Runtime_card#296] User bandwidth limits will not take effect any more after move gear to another node
[Runtime_card#296] User bandwidth limits will not take effect any more after ...
Status: CLOSED NOTABUG
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Rob Millner
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-22 01:32 EDT by Meng Bo
Modified: 2015-05-14 19:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-23 14:00:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2013-05-22 01:32:07 EDT
Description of problem:
Add bandwidth limit to gear via "service libra-tc throttleuser/highuser <gear_uuid>" command. Then move the gear form the current node to any other nodes. 
The issue happens on both in-district move and across-district move.

Version-Release number of selected component (if applicable):
devenv_3257

How reproducible:
always

Steps to Reproduce:
1. Setup multi-node env
2. Create app on them
3. Set the app bandwidth limit via libra-tc
#service libra-tc throttleuser <gear_uuid>
4. Move the gear to other node
5. Do some download operation in the gear rhcsh to check the bandwidth limit

Actual results:
The bandwidth limit of this gear will not take effect anymore. Which should be trottleuser in this case.

[app2-bmeng.dev.rhcloud.com repo]\> wget http://ipv4.download.thinkbroadband.com/1GB.zip
--2013-05-21 23:25:49--  http://ipv4.download.thinkbroadband.com/1GB.zip
Resolving ipv4.download.thinkbroadband.com... 80.249.99.148
Connecting to ipv4.download.thinkbroadband.com|80.249.99.148|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1073741824 (1.0G) [application/zip]
Saving to: “1GB.zip.2”

 8% [==========>                                                                                                                  ] 95,346,128  19.2M/s  eta 62s     

Expected results:
According the bandwidth limit setting, the throttleuser should be limited to small bandwidth. No more than 1M/s.

Additional info:
The limit files can be moved to the target node during move with correct path.
Comment 1 Rob Millner 2013-05-23 14:00:19 EDT
A misunderstanding about the feature was corrected late in the sprint.  This bug pertains to a part of the feature which is no longer being shipped.

Note You need to log in before you can comment on or make changes to this bug.